
@import "https://unpkg.com/@lumeland/ds@0.5.2/ds.css";
/* Lume's design system */
/* Custom components */
/* override ds.css from the top */
:root {
    --font-family-display: Chango;
    --font-family-ui: Jost;
    --color-heading-primary: #4b5f30;
    --color-heading-secondary: #473c38;
    --color-link: var(--color-accent);
    --color-link-hover: var(--color-accent-light);
    
    --color-primary: #8fac6a;
    --color-primary-light: #b2c699;
    --color-primary-dark: #4b5f30;
    --color-secondary: #8b6e5c;
    --color-secondary-light: #aea198;
    --color-secondary-dark: #473c38;
    --color-accent: #305c6e;
    --color-accent-light: #709aab;
    --color-accent-dark: #1c3842;

    --border-radius: 2rem;
    --border-radius-button: 6px;
}
html {
    font-family: Jost, sans-serif;
}
h1, h2 {
    font-family: Chango, sans-serif;
}
a:not([href*="your-domain.com"]):not([href^="#"]):not([href^="/"]):not(.no-icon)::after {
  content: '\2197'; /* Code for ↗ */
  display: inline-block;
  font-weight: bold;
  transform: translate(0ch, -0.5ch) scale(1.7);
}
.yt-embed {
    max-width: 100%;
}
.button {
    --border-radius: var(--border-radius-button);
    color: var(--color-base);
}
.badge {
    transition: var(--animation-duration);
}
.nobullet {
    padding-left: 0;
    
    > li {
	display: inline-block;
    }
}
h1, h2, h3, h4 {
    a {
	color: inherit;
    }
}
h3, h5 {
    color: var(--color-heading-secondary);
}
h2, h4 {
    color: var(--color-heading-primary);
}
.navbar {
    z-index: 8;
    position: fixed;
    top: 0;
    width: 100%;
    max-width: 100vw;
  display: flex;
  flex-wrap: wrap;
  -moz-column-gap: 1rem;
       column-gap: 1rem;
  row-gap: 1rem;
  justify-content: space-between;
  padding: 2rem min(5vw, 5rem);
  padding-bottom: 3rem;
  align-items: center;
  background-color: var(--color-primary);
  -webkit-mask-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 129.178211">%0A  <path d="M0,0v126.2969971c26.5581481-5.9905974,49.1394237-13.8448693,80.335022-13.8880005s65.7367286,12.7611253,99.3958393,13.5213705c11.9878327.2707645,25.8230989-2.8351116,39.2278959-7.3990966,59.306164-20.1922076,117.041999,20.6580702,180.7163046,8.2532652,177.5968748-34.5988005,144.1632494,11.2170972,270.5514688-1.3764032,28.8793764-2.8775818,55.5486661-15.7503269,83.1787522-15.6708744,30.4063359.0874359,69.3850829,12.0223439,78.9507354,13.6957252,38.4201311,6.7210814,67.2676034-6.1687245,76.7290039-8.9619751,31.9968679-9.4463046,75.8550238-15.9778591,111.6202369-6.6227809,114.1146673,29.8488826,197.8385752-14.2517016,260.3781041,4.4883663,81.0351308,24.282304,139.5766712,12.5283965,158.916637,9.4774322V0H0Z"/>%0A</svg>');
          mask-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 129.178211">%0A  <path d="M0,0v126.2969971c26.5581481-5.9905974,49.1394237-13.8448693,80.335022-13.8880005s65.7367286,12.7611253,99.3958393,13.5213705c11.9878327.2707645,25.8230989-2.8351116,39.2278959-7.3990966,59.306164-20.1922076,117.041999,20.6580702,180.7163046,8.2532652,177.5968748-34.5988005,144.1632494,11.2170972,270.5514688-1.3764032,28.8793764-2.8775818,55.5486661-15.7503269,83.1787522-15.6708744,30.4063359.0874359,69.3850829,12.0223439,78.9507354,13.6957252,38.4201311,6.7210814,67.2676034-6.1687245,76.7290039-8.9619751,31.9968679-9.4463046,75.8550238-15.9778591,111.6202369-6.6227809,114.1146673,29.8488826,197.8385752-14.2517016,260.3781041,4.4883663,81.0351308,24.282304,139.5766712,12.5283965,158.916637,9.4774322V0H0Z"/>%0A</svg>');
  -webkit-mask-size: cover;
          mask-size: cover;
  -webkit-mask-position: center bottom;
          mask-position: center bottom;
  --color-link: white;
}
.navbar-links {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  -moz-column-gap: 1.5rem;
       column-gap: 1.5rem;
  font: var(--font-ui-bold);
  align-items: center;

  & [aria-current="page"] {
    text-decoration: none;
  }
}
.navbar-search {
  padding: 0 1em;
  margin-left: auto;
  display: flex;
  align-items: center;
}
.navbar-home {
    max-width: 15ch;
    text-decoration: none;

    > * {
	width: 100%;
    }
}
@media screen and (width <= 900px) {
    .navbar-links {
	position: fixed;
	flex-direction: column;
	left: 100vw;
	top: 6ch;
	width: 100%;
	z-index: 9;
	margin: auto;
	justify-items: left;;

	&::before {
	    content: '';
	    position: absolute;
	    width: 100vw;
	    height: 100vh;
	    background-color: red;
	    z-index: -11;
	}

	> li {
	    padding: 1em;
	}
    }
}
.page-header {
  margin-bottom: var(--row-gap-medium);

  & > p:first-child {
    margin-top: 0;
  }
}
.page-title {
  font: var(--font-display);
  letter-spacing: var(--font-display-spacing);
  margin: 0;
  text-wrap: balance;
  color: var(--color-base);
}
.page-navigation {
  margin-bottom: var(--row-gap-medium);

  & ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5em;
  }

  & h2 {
    font: var(--font-body-bold);
    letter-spacing: var(--font-body-spacing);
    margin: 0.5em 0;
  }
}
.page-pagination {
  border-top: solid 1px var(--color-line);
  margin-top: var(--row-gap-medium);
}
.postList {
  list-style: none;
  padding: 0;

  & article.post + article.post {
    margin-top: var(--row-gap-medium);
  }
  & li.post + li.post {
    margin-top: var(--row-gap-small);
  }

  & .post-header {
    margin-bottom: var(--row-gap-xsmall);
  }

  & .post-details {
    font: var(--font-small);
  }

  & .post-title {
    font: var(--font-title);
    letter-spacing: var(--font-title-spacing);
    display: block;

    & a {
      text-decoration: none;
    }
  }
}
.post-header {
  margin-bottom: var(--row-gap-small);
}
.post-title {
  font: var(--font-display);
  letter-spacing: var(--font-display-spacing);
  margin: 0 0 0.2em;
  text-wrap: balance;
  color: var(--color-heading-secondary);
}
.post-details {
  display: flex;
  flex-flow: row wrap;
  row-gap: 1em;
  -moz-column-gap: 0.5em;
       column-gap: 0.5em;
  align-items: center;
  font: var(--font-small);
  color: var(--color-dim);

  & p {
    margin: 0;
  }

  & p::after {
    content: "•";
    padding-left: 0.5em;
    align-self: stretch;
  }

  & p:last-of-type {
    margin-right: 0.5em;

    &::after {
      display: none;
    }
  }

  & a {
    color: inherit;
  }
}
.post-tags {
  display: flex;
  flex-flow: row wrap;
  gap: 0.5em;
  align-items: center;
}
.post-link {
  display: inline-block;
}
.comments-section {
  margin-top: 5em;
}
.comments-header {
  & h2 {
    font: var(--font-title);
    letter-spacing: var(--font-title-spacing);
    margin: 0;
    color: var(--color-base);
  }
  & p {
    font: var(--font-ui);
    color: var(--color-dim);
    margin: 0.5em 0;
  }
}
.comments {
  display: block;
  padding: 2em;
  margin-top: 2em;
  background: var(--color-highlight);
  border-radius: var(--border-radius);
  border: solid 1px var(--color-line);
  color: var(--color-dim);
  font: var(--font-small);

  @media (max-width: 450px) {
    margin-left: calc(-15vw / 2);
    margin-right: calc(-15vw / 2);
    border-radius: 0;
    border-left: none;
    border-right: none;
    padding: calc(15vw / 2);
  }

  & a {
    color: currentColor;
  }

  & ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }

  & li {
    container-type: inline-size;

    ul {
      margin-top: 2em;
      padding-top: 2em;
      border-top: solid 1px var(--color-line);
      margin-left: min(var(--indent), 10cqw);
    }
  }

  & li + li {
    margin-top: 2em;
    padding-top: 2em;
    border-top: solid 1px var(--color-line);
  }
  & article {
    max-width: 600px;
  }
  > ul {
    --avatar-size: clamp(32px, 10cqw, 50px);
    --indent: calc(var(--avatar-size) + 15px);
  }

  .comment-avatar {
    width: var(--avatar-size);
    height: var(--avatar-size);
    border-radius: 6px;
    float: left;
    margin-right: 14px;
    box-shadow: 0 0 1px #0009;
  }
  .comment-user {
    text-decoration: none;
    display: block;
    position: relative;
  }
  .comment-author {
    position: absolute;
    left: calc(var(--avatar-size) - 15px);
    top: calc(var(--avatar-size) - 15px);
    background: var(--color-highlight);
    border-radius: 50%;
    width: 20px;
    height: 20px;
    color: var(--color-primary);
  }
  .comment-user:hover .comment-username {
    text-decoration: underline;
  }
  .comment-username {
    margin-right: 0.5em;
    color: var(--color-text);
  }
  .comment-useraddress {
    font-style: normal;
  }
  .comment-time {
    font-size: small;
    display: flex;
    -moz-column-gap: 0.3em;
         column-gap: 0.3em;
    align-items: center;

    svg {
      width: 1em;
      height: 1em;
      fill: currentColor;
    }
  }
  .comment-address {
    color: currentColor;
    text-decoration: none;
    display: block;
    padding-left: var(--indent);
    margin-top: 0.2em;
  }
  .comment-address:hover {
    text-decoration: underline;
  }
  .comment-body {
    margin-top: 1em;
    margin-left: var(--indent);
    line-height: 1.5;

    .invisible {
      display: none;
    }
    .ellipsis::after {
      content: "…";
    }
    .mention {
      text-decoration: none;
      color: var(--color-text);

      &:hover {
        text-decoration: underline;
      }
    }
  }
  .comment-body p {
    margin: 0.5em 0 0;
  }
  .comment-counts {
    display: flex;
    -moz-column-gap: 1em;
         column-gap: 1em;
    font-size: small;

    & svg {
      color: var(--color-primary);
    }
  }
  .comment-counts > span {
    display: flex;
    align-items: center;
    -moz-column-gap: 0.3em;
         column-gap: 0.3em;
  }
}
body {
    z-index: 1;
    position: relative;
    top: 4rem;
    font-size: 1.2rem;
}
main.body-home {
    max-width: unset;
}
.hero-yt {
    background-color: #f03 !important;
    filter: drop-shadow(0.4ch 0.4ch 0px #411);
    transition: 0.2s;
    font-size: 1.2rem;

    &:hover {
	background-color: #a00 !important;
	color: inherit;
	transform: translate(0.4ch, 0.4ch);
	filter: drop-shadow(0 0 0 #111);
    }
}
.body-home{
    padding: unset;
    .page-header {
	--color-base: white;
	position: fixed;
	top: 0;
	left: 0;
	height: 100vh; 
	width: 100vw;
	padding: 25vh 10vw;
	z-index: 0;

	h1, h2 {
	    filter: drop-shadow(0.1ch 0.1ch 0ch #101510);
	}

	&:before {
	    content: "";
	    display: block;
	    position: absolute;
	    left: 0;
	    top: 0;
	    width: 100%;
	    height: 100%;
	    background-image: url("/images/ferns.jpg");
	    background-size: cover;
	    background-position: center;
	    transform: scaleX(-1);
	    z-index: -1;
	}

	.page-subtitle {
	    color: #ddd;
	}
    }
}
#home-bottom {
    margin-top: 55vh;
    overflow-x: hidden;

    @media screen and (width <= 900px) {
	margin-top: 55vh;
    }
}
#home-bottom-container {
    position: relative;
    background-color: white;
    width: 100%;
    margin: auto;
    margin-top: -10rem;
    padding-top: 14rem;
    padding-bottom: 2rem;
    z-index: 0;
    > * {
	max-width: min(100% - 15vw, 45em);
	margin: auto;
    }
}
#description {
    color: white;
    position: relative;
    background-color: var(--color-primary-dark);
    padding: 15rem 2rem;
    margin: auto;
    -webkit-mask-image: url('data:image/svg+xml,<?xml version="1.0" encoding="UTF-8"?><svg width="378.03mm" height="72.753mm" version="1.1" viewBox="0 0 378.03 72.753" xmlns="http://www.w3.org/2000/svg"><g transform="translate(0 -68.598)"><path d="m0 134.66 7.5e-5 -56.59c23.334-8.354 42.346 7.2018 69.137-2.3046 26.79-9.5063 31.112-9.5063 45.803-0.28808 14.692 9.2182 41.595 6.9387 53.694 2.9057 12.099-4.033 35.896-12.124 50.876-5.4984 4.6755 2.0679 28.804 12.672 40.845 8.7843 8.4306-2.7218 35.77-13.513 54.851-2.3885 18.055 10.527 51.295-2.5994 62.826-2.3877v60.212c-7.7778 1.0321-30.278 7.6598-50.148-0.21711-13.802-5.4717-43.952-7.9907-58.414-2.0834-10.514 4.2945-48.633-4.5038-51.921-5.6437-12.72-4.4085-30.796 4.8078-44.034 8.2078-19.075 4.8994-46.684 5.7315-58.425-0.06-14.138-6.9736-29.928-9.569-47.258-1.8333-25.373 7.7979-50.313-4.2776-67.831-0.81478z" stroke-width=".4"/></g></svg>');
            mask-image: url('data:image/svg+xml,<?xml version="1.0" encoding="UTF-8"?><svg width="378.03mm" height="72.753mm" version="1.1" viewBox="0 0 378.03 72.753" xmlns="http://www.w3.org/2000/svg"><g transform="translate(0 -68.598)"><path d="m0 134.66 7.5e-5 -56.59c23.334-8.354 42.346 7.2018 69.137-2.3046 26.79-9.5063 31.112-9.5063 45.803-0.28808 14.692 9.2182 41.595 6.9387 53.694 2.9057 12.099-4.033 35.896-12.124 50.876-5.4984 4.6755 2.0679 28.804 12.672 40.845 8.7843 8.4306-2.7218 35.77-13.513 54.851-2.3885 18.055 10.527 51.295-2.5994 62.826-2.3877v60.212c-7.7778 1.0321-30.278 7.6598-50.148-0.21711-13.802-5.4717-43.952-7.9907-58.414-2.0834-10.514 4.2945-48.633-4.5038-51.921-5.6437-12.72-4.4085-30.796 4.8078-44.034 8.2078-19.075 4.8994-46.684 5.7315-58.425-0.06-14.138-6.9736-29.928-9.569-47.258-1.8333-25.373 7.7979-50.313-4.2776-67.831-0.81478z" stroke-width=".4"/></g></svg>');
    -webkit-mask-size: cover;
            mask-size: cover;
    -webkit-mask-position: center;
            mask-position: center;
    z-index: 1;

    @media screen and (width <= 900px) {
	padding: 10rem 2rem;
    }

    p {
	max-width: 55ch;
	margin: auto;
	font-size: 1.2em;
    }
}
#topics {
    background-color: var(--color-accent-light);
    border-radius: var(--border-radius);
    margin: 4rem auto;
    padding: 2rem;
    max-width: min(85%, 50ch);

    h2 {
	color: var(--color-accent-dark);
    }

    .badge {
	background-color: var(--color-accent);
	color: white;

	&:hover {
	    background-color: color-mix(var(--color-accent-light), white 50%);
	}
    }
}
/* latin-ext */
@font-face {
  font-family: "Chango";
  font-style: normal;
  font-weight: 400;
  font-stretch: normal;
  src: url("fonts/chango-normal-400-latin-ext.woff2") format("woff2");
  unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}

/* latin */
@font-face {
  font-family: "Chango";
  font-style: normal;
  font-weight: 400;
  font-stretch: normal;
  src: url("fonts/chango-normal-400-latin.woff2") format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}

/* cyrillic */
@font-face {
  font-family: "Jost";
  font-style: italic;
  font-weight: 100 900;
  font-stretch: normal;
  src: url("fonts/jost-italic-100-900-cyrillic.woff2") format("woff2");
  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
  font-display: swap;
}

/* latin-ext */
@font-face {
  font-family: "Jost";
  font-style: italic;
  font-weight: 100 900;
  font-stretch: normal;
  src: url("fonts/jost-italic-100-900-latin-ext.woff2") format("woff2");
  unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}

/* latin */
@font-face {
  font-family: "Jost";
  font-style: italic;
  font-weight: 100 900;
  font-stretch: normal;
  src: url("fonts/jost-italic-100-900-latin.woff2") format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}

/* cyrillic */
@font-face {
  font-family: "Jost";
  font-style: normal;
  font-weight: 100 900;
  font-stretch: normal;
  src: url("fonts/jost-normal-100-900-cyrillic.woff2") format("woff2");
  unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
  font-display: swap;
}

/* latin-ext */
@font-face {
  font-family: "Jost";
  font-style: normal;
  font-weight: 100 900;
  font-stretch: normal;
  src: url("fonts/jost-normal-100-900-latin-ext.woff2") format("woff2");
  unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
  font-display: swap;
}

/* latin */
@font-face {
  font-family: "Jost";
  font-style: normal;
  font-weight: 100 900;
  font-stretch: normal;
  src: url("fonts/jost-normal-100-900-latin.woff2") format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
  font-display: swap;
}

.button {
    background-color: #305c6e;
}
/* Make the links black */
:root {
  --color-link-hover: var(--color-dim);
}
/* Page layout */
main {
  padding: var(--row-gap-medium) 0;
  max-width: min(100% - 15vw, 45em);
  margin: 0 auto;

  & > :first-child {
    margin-top: 0;
  }
}
/* Search tweak */
.search {
  margin-top: var(--row-gap-xsmall);
}
/* logo */
.logo-wide:before {
    display: block;
    content: url("/images/branding/logo-wide.svg");
}
